/* Sidebar menu */
#sidebar select:hover,
#sidebar ul.topics {
  margin: 0;
}
#sidebar ul.topics > li.parent {
  margin: 0;
  padding: 0;
}
#sidebar ul li {
  position: relative;
}
#sidebar ul li li {
  padding: 0;
}

/* Sidebar tree */
#sidebar ul.topics > li {
  border-bottom: 1px solid var(--divider);
}
#sidebar ul.topics > li.parent,
#sidebar ul.topics > li.active {
  background: transparent;
}
#sidebar ul.topics ul > li.parent,
#sidebar ul.topics ul > li.active,
#sidebar li.open {
  background: transparent;
}
#sidebar ul.topics > li > ul > li:last-child {
  padding-bottom: 0;
}

/* Sidebar arrow */
#sidebar .arrow {
  align-items: center;
  background: transparent;
  border: 0;
  border-radius: 50%;
  color: var(--interactive);
  display: inline-flex;
  font-size: var(--font-size-scale-base);
  height: 32px;
  justify-content: center;
  margin-right: var(--gap);
  margin-top: calc(var(--gap) * 1.5);
  position: absolute;
  right: 0;
  top: 0;
  width: 32px;
  z-index: 1;
}
#sidebar .arrow:hover {
  background-image: linear-gradient(
    rgba(var(--interactive-rgb), var(--hover)),
    rgba(var(--interactive-rgb), var(--hover))
  );
}
#sidebar ul li.active > .arrow {
  color: var(--background);
}
#sidebar ul li.active > .arrow:hover {
  background-image: linear-gradient(
    rgba(var(--background-rgb), var(--hover)),
    rgba(var(--background-rgb), var(--hover))
  );
}
#sidebar ul.topics li.parent > ul {
  display: none;
}
#sidebar ul.topics li.open > ul,
#sidebar ul.topics li.active.open > ul {
  display: block;
}
#sidebar li.open > .arrow {
  transform: rotate(180deg);
}

/* Sidebar links */
#sidebar a {
  font-size: var(--font-size-scale-base) !important;
  line-height: inherit !important;
  padding-bottom: calc(var(--gap) * 2) !important;
  padding-left: calc(var(--gap) * 2) !important;
  padding-right: calc(var(--gap) + 32px) !important;
  padding-top: calc(var(--gap) * 2) !important;
}
#sidebar a:hover {
  background-image: linear-gradient(
    rgba(var(--interactive-rgb), var(--hover)),
    rgba(var(--interactive-rgb), var(--hover))
  );
}
#sidebar a .fas,
#sidebar a .fab,
#sidebar a .far {
  width: var(--icon);
}
#sidebar ul li.active > a {
  margin-left: 0;
  margin-right: 0;
}
#sidebar ul li.active > a:hover {
  background-image: linear-gradient(
    rgba(var(--background-rgb), var(--hover)),
    rgba(var(--background-rgb), var(--hover))
  );
}
#sidebar ul ul a {
  background-image: linear-gradient(rgba(0, 0, 0, 0.05), rgba(0, 0, 0, 0.05));
}
#sidebar ul ul ul a {
  background-image: linear-gradient(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1));
}
#sidebar ul ul ul ul a {
  background-image: linear-gradient(rgba(0, 0, 0, 0.15), rgba(0, 0, 0, 0.15));
}
#sidebar ul ul ul ul ul a {
  background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));
}

/* Sidebar subtree */
#sidebar ul ul a {
  padding-left: calc(var(--icon) + var(--gap) * 2) !important;
}
#sidebar ul ul ul a {
  padding-left: calc(var(--icon) * 2 + var(--gap) * 2) !important;
}
#sidebar ul ul ul ul a {
  padding-left: calc(var(--icon) * 3 + var(--gap) * 2) !important;
}
#sidebar ul ul ul ul ul a {
  padding-left: calc(var(--icon) * 4 + var(--gap) * 2) !important;
}
#sidebar ul ul ul ul ul ul a {
  padding-left: calc(var(--icon) * 5 + var(--gap) * 2) !important;
}
